commit:     9c92d700845cd3a6e3ce27a0dd6d48a61cf193b9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  8 21:41:19 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov  8 22:18:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c92d700

xfce-extra/xfce4-mailwatch-plugin: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-mailwatch-plugin/Manifest         |  1 +
 .../xfce4-mailwatch-plugin-1.3.0.ebuild            | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/xfce-extra/xfce4-mailwatch-plugin/Manifest 
b/xfce-extra/xfce4-mailwatch-plugin/Manifest
index 41117a4d9e4..691d422c009 100644
--- a/xfce-extra/xfce4-mailwatch-plugin/Manifest
+++ b/xfce-extra/xfce4-mailwatch-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-mailwatch-plugin-1.2.0.tar.bz2 509649 BLAKE2B 
7749914cf4e8ca34e27c63033e84718c4bc8d9da11ca9f6487bf9291c145f5b062d6b7b07d03d2eb273d0e88b96946641721f6f24dd19c19db9f923e9b33ff53
 SHA512 
6f5128b2341ab275427e02b1ef063cb2fdcf4027f5c47cfc0ed26086462eb0e9f7353441ea1b9380b91a892414934203b781445f604d67200786e3dd85183a83
+DIST xfce4-mailwatch-plugin-1.3.0.tar.bz2 551687 BLAKE2B 
3ec841c32df059a2be99ad21c706be794d97c493e9ae1c1be5ec9006c45df51a766c8c89ef9f2941f6c411c18bfd5d01e8a510acfc4233cb349e1528346d0617
 SHA512 
07d4e4cc2f7d299a142d9e9b307c2797892a5febd8451d5291cb9574be0bd5daba677ee893fea3af49b6a8acbfb827ae0125ba11014df37b6c68a2734ecde11b

diff --git 
a/xfce-extra/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin-1.3.0.ebuild 
b/xfce-extra/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin-1.3.0.ebuild
new file mode 100644
index 00000000000..f652fef4599
--- /dev/null
+++ b/xfce-extra/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin-1.3.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="An mail notification panel plug-in for the Xfce desktop 
environment"
+HOMEPAGE="https://spuriousinterrupt.org/projects/xfce4-mailwatch-plugin/";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE="ipv6 ssl"
+
+RDEPEND=">=dev-libs/glib-2.42:=
+       >=x11-libs/gtk+-3.22:3=
+       >=xfce-base/exo-0.11:=
+       >=xfce-base/libxfce4ui-4.14:=
+       >=xfce-base/libxfce4util-4.14:=
+       >=xfce-base/xfce4-panel-4.14:=
+       ssl? ( >=net-libs/gnutls-2:= )
+"
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_configure() {
+       econf $(use_enable ssl) $(use_enable ipv6)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to